osg::Drawable::AttributeFunctor Class Reference

`#include <Drawable>`

Inheritance diagram for osg::Drawable::AttributeFunctor:

## Public Member Functions

virtual | ~AttributeFunctor ()
virtual void | apply (AttributeType, unsigned int, GLbyte *)
virtual void | apply (AttributeType, unsigned int, GLshort *)
virtual void | apply (AttributeType, unsigned int, GLint *)
virtual void | apply (AttributeType, unsigned int, GLubyte *)
virtual void | apply (AttributeType, unsigned int, GLushort *)
virtual void | apply (AttributeType, unsigned int, GLuint *)
virtual void | apply (AttributeType, unsigned int, float *)
virtual void | apply (AttributeType, unsigned int, Vec2 *)
virtual void | apply (AttributeType, unsigned int, Vec3 *)
virtual void | apply (AttributeType, unsigned int, Vec4 *)
virtual void | apply (AttributeType, unsigned int, Vec4ub *)
virtual void | apply (AttributeType, unsigned int, double *)
virtual void | apply (AttributeType, unsigned int, Vec2d *)
virtual void | apply (AttributeType, unsigned int, Vec3d *)
virtual void | apply (AttributeType, unsigned int, Vec4d *)

## Constructor & Destructor Documentation

## ~AttributeFunctor()

virtual osg::Drawable::AttributeFunctor::~AttributeFunctor | ( |  | ) |

inline virtual

## Member Function Documentation

## apply() [1/15]

virtual void osg::Drawable::AttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | double * | )

inline virtual

## apply() [2/15]

virtual void osg::Drawable::AttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | float * | )

inline virtual

## apply() [3/15]

virtual void osg::Drawable::AttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | GLbyte * | )

inline virtual

## apply() [4/15]

virtual void osg::Drawable::AttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | GLint * | )

inline virtual

## apply() [5/15]

virtual void osg::Drawable::AttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | GLshort * | )

inline virtual

## apply() [6/15]

virtual void osg::Drawable::AttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | GLubyte * | )

inline virtual

## apply() [7/15]

virtual void osg::Drawable::AttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | GLuint * | )

inline virtual

## apply() [8/15]

virtual void osg::Drawable::AttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | GLushort * | )

inline virtual

## apply() [9/15]

virtual void osg::Drawable::AttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | Vec2 * | )

inline virtual

## apply() [10/15]

virtual void osg::Drawable::AttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | Vec2d * | )

inline virtual

## apply() [11/15]

virtual void osg::Drawable::AttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | Vec3 * | )

inline virtual

Reimplemented in osgUtil::TransformAttributeFunctor.

## apply() [12/15]

virtual void osg::Drawable::AttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | Vec3d * | )

inline virtual

Reimplemented in osgUtil::TransformAttributeFunctor.

## apply() [13/15]

virtual void osg::Drawable::AttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | Vec4 * | )

inline virtual

## apply() [14/15]

virtual void osg::Drawable::AttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | Vec4d * | )

inline virtual

## apply() [15/15]

virtual void osg::Drawable::AttributeFunctor::apply | ( | AttributeType | ,
|  | unsigned int | ,
|  | Vec4ub * | )

inline virtual

The documentation for this class was generated from the following file:

- Drawable